Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 690354 (CVE-2019-9848, CVE-2019-9849) - <app-office/libreoffice-6.2.5.2: multiple vulnerabilities
Summary: <app-office/libreoffice-6.2.5.2: multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2019-9848, CVE-2019-9849
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-21 12:20 UTC by Manfred Knick
Modified: 2019-08-15 15:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred Knick 2019-07-21 12:20:09 UTC
@ SECURITY:   Mask? Hard-Mask? Prune?
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-08-10 20:58:26 UTC
@office, please drop the vulnerable ebuild
Comment 2 Larry the Git Cow gentoo-dev 2019-08-13 15:56:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e2da1fbd47186791c4f3023cbdcc8d991e8d564

commit 5e2da1fbd47186791c4f3023cbdcc8d991e8d564
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-08-13 12:37:23 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-08-13 15:56:31 +0000

    app-office/libreoffice: Security cleanup
    
    Bug: https://bugs.gentoo.org/690354
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice/Manifest                    |   2 -
 ...k3_kde5-non-native-fpicker-for-non-plasma.patch | 105 ----
 ...-set-kfilewidgets-custom-widget-only-once.patch |  42 --
 app-office/libreoffice/libreoffice-6.1.5.2.ebuild  | 575 ---------------------
 4 files changed, 724 deletions(-)
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2019-08-15 15:54:28 UTC
This issue was resolved and addressed in
 GLSA 201908-13 at https://security.gentoo.org/glsa/201908-13
by GLSA coordinator Aaron Bauman (b-man).